# -----------------------------------------------------
# Window rules
# -----------------------------------------------------

windowrule = float,^(Rofi)$

windowrule = tile,^(Microsoft-edge)$
windowrule = tile,^(Brave-browser)$
windowrule = tile,^(Chromium)$
windowrule = float,^(pavucontrol)$
windowrule = float,^(blueman-manager)$
windowrule = float,^(nm-connection-editor)$
windowrule = float,^(qalculate-gtk)$
windowrule = float,^(showmethekey-gtk)$
windowrule = pin,^(showmethekey-gtk)$
layerrule = blur, gtk-layer-shell
layerrule = blur, logout_dialog
layerrule = blur, waybar
layerrule = blurpopups, waybar

windowrule = float,title:^(Mathematica)$
windowrule = opacity 0.8, ^(Code)$
windowrule = opacity 0.8, ^(code-oss)$
windowrule = opacity 0.8, ^(code-url-handler)$
windowrule = float,^(QQ)$
windowrule = float,^(wechat)$
windowrule = float,^(fdm)$
windowrule = float,^(Uget-gtk)$
windowrule = float,^(xdg-desktop-portal-gtk)$
